List deposits
Deposits observed on a ref, newest first. Requires a server key.
GET
/
v1
/
standing-deposit-addresses
/
{ref}
/
deposits
List deposits
curl --request GET \
--url https://orchestration.flashnet.xyz/v1/standing-deposit-addresses/{ref}/deposits \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orchestration.flashnet.xyz/v1/standing-deposit-addresses/{ref}/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/standing-deposit-addresses/{ref}/deposits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"deposits": [
{
"id": "<string>",
"chain": "<string>",
"asset": "<string>",
"amount": "<string>",
"sourceTxId": "<string>",
"sourceTxIndex": "<string>",
"senderAddress": "<string>",
"observedAt": "<string>",
"status": "<string>",
"code": "<string>",
"batchId": "<string>",
"orderId": "<string>",
"quoteId": "<string>",
"batchState": "<string>",
"refundTxId": "<string>",
"zeroconfOffer": {
"id": "<string>",
"status": "pending",
"expiresAt": "<string>",
"depositSats": "<string>",
"feeSats": "<string>",
"creditSats": "<string>"
}
}
],
"nextOffset": 123
}Authorizations
Partner API key in the form Authorization: Bearer fn_....
Path Parameters
Required string length:
1 - 128Was this page helpful?
⌘I
List deposits
curl --request GET \
--url https://orchestration.flashnet.xyz/v1/standing-deposit-addresses/{ref}/deposits \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orchestration.flashnet.xyz/v1/standing-deposit-addresses/{ref}/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/standing-deposit-addresses/{ref}/deposits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"deposits": [
{
"id": "<string>",
"chain": "<string>",
"asset": "<string>",
"amount": "<string>",
"sourceTxId": "<string>",
"sourceTxIndex": "<string>",
"senderAddress": "<string>",
"observedAt": "<string>",
"status": "<string>",
"code": "<string>",
"batchId": "<string>",
"orderId": "<string>",
"quoteId": "<string>",
"batchState": "<string>",
"refundTxId": "<string>",
"zeroconfOffer": {
"id": "<string>",
"status": "pending",
"expiresAt": "<string>",
"depositSats": "<string>",
"feeSats": "<string>",
"creditSats": "<string>"
}
}
],
"nextOffset": 123
}